# Git

## Git система

Git - распределённая система контроля версий, которая даёт возможность разработчикам возможность отслеживать изменения в файлах и совместно работать с другими людьми. Создана в 2005 году Линусом Торвальдсом

## Github

Github - сервис онлайн хостинга репозиториев.

## Комманды

### Конфигурация

#### Просмотр настроек

```bash
git config --list
```

#### Установка имени и почты

```bash
git config --global user.name "John Doe"
git config --global user.email "johndoe@example.com"
```

### Помощь

```bash
git help # Помощь по всей команде
git help config # Помощь по конкретной команде
```

### Работа с репозиторием

#### Инициализировать пустой репозиторий в текущей папке

```bash
git init 
```

#### Коммиты

```bash
git status #  Посмотреть состояние файлов
git add . # Добавить все файлы в текущей папке
git add -A # Добавить все файлы в текущем репозетории
git commit -m "Сообщение" # Сделать коммит с сообщением
git commit -am "Сообщение" # Сделать коммит со всеми изменёнными файлами (новые файлы не добавляются)
git rm test.txt # Удаляет файл из git и из папки
git rm --cached test.txt # Удаляет файл из git но не из папки
```
